Script.h File Reference
`#include <QVariant>`
`#include <QString>`
`#include <QStringList>`
`#include <QObject>`
`#include <QEvent>`
`#include "customevents.h"`
`#include "ScriptingEnv.h"`

Go to the source code of this file.

## Classes

class | Script
| A chunk of scripting code. Abstract. More...
class | scripted
| Interface for maintaining a reference to the current ScriptingEnv. More...
class | ScriptingChangeEvent
| notify an object that it should update its scripting environment (see class scripted) More...
struct | ScriptingLangManager::ScriptingLang
class | ScriptingLangManager
| keeps a static list of available interpreters and instantiates them on demand More...